Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.analysis_engine
Class AnalysisEngineProcessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.uima.InternationalizedException
                  org.apache.uima.UIMAException
                      org.apache.uima.resource.ResourceProcessException
                          org.apache.uima.analysis_engine.AnalysisEngineProcessException

All Implemented Interfaces:
  Serializable

    public class AnalysisEngineProcessException

extends ResourceProcessException

An `AnalysisEngineProcessException` may be thrown by an Analysis Engine's process method, indicating that a failure occured during processing.

See Also:
  Serialized Form

Field Summary
`static String` | `ANNOTATOR_EXCEPTION` Message key for a standard UIMA exception message: "Annotator processing failed."
`static String` | `FLOW_CANNOT_CONTINUE_AFTER_REMOVE` Message key for a standard UIMA exception message: "The Analysis Engine(s) {0} have been removed from the flow, and the FlowController has determined the Aggregate Analysis Engine's processing can no longer continue."
`static String` | `ILLEGAL_DROP_CAS` Message key for a standard UIMA exception message: "The FlowController attempted to drop a CAS that was passed as input to the Aggregate AnalysisEngine containing that FlowController.
`static String` | `INCORRECT_CAS_INTERFACE` Message key for a standard UIMA exception message: "Expected CAS interface {0}, but received interface {1}."
`static String` | `REMOVE_AE_FROM_FLOW_NOT_SUPPORTED` Message key for a standard UIMA exception message: "The FlowController class {0} does not support the removeAnalysisEngines method.
`static String` | `TIMEOUT_ELAPSED` Message key for a standard UIMA exception message: "This AnalysisEngine is serving too many simultaneous requests.
`static String` | `UNKNOWN_ID_IN_SEQUENCE` Message key for a standard UIMA exception message: "The ASB encountered an unknown Analysis Engine ID "{0}" in the execution sequence."
`static String` | `UNSUPPORTED_CAS_TYPE` Message key for a standard UIMA exception message: "AnalysisEngine subclass {0} does not support CAS class {1}."
`static String` | `UNSUPPORTED_STEP_TYPE` Message key for a standard UIMA exception message: "The FlowController returned a Step object of class {0}, which is not supported by this framework implementation."

Fields inherited from class org.apache.uima.resource.ResourceProcessException
`REQUIRED_FEATURE_STRUCTURE_MISSING_FROM_CAS, RESOURCE_DATA_NOT_VALID`

Fields inherited from class org.apache.uima.UIMAException
`STANDARD_MESSAGE_CATALOG`

Constructor Summary
`AnalysisEngineProcessException()` Creates a new exception with a null message.
`AnalysisEngineProcessException(String aMessageKey, Object[] aArguments)` Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
`AnalysisEngineProcessException(String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
`AnalysisEngineProcessException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new exception with a the specified message.
`AnalysisEngineProcessException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified message and cause.
`AnalysisEngineProcessException(Throwable aCause)` Creates a new exception with the specified cause and a null message.

Method Summary

Methods inherited from class org.apache.uima.InternationalizedException
`getArguments, getCause, getLocalizedMessage, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, hasMessageKey, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ANNOTATOR_EXCEPTION

    public static final String ANNOTATOR_EXCEPTION

  Message key for a standard UIMA exception message: "Annotator processing failed."

  See Also:
    Constant Field Values

### UNSUPPORTED_CAS_TYPE

    public static final String UNSUPPORTED_CAS_TYPE

  Message key for a standard UIMA exception message: "AnalysisEngine subclass {0} does not support CAS class {1}."

  See Also:
    Constant Field Values

### TIMEOUT_ELAPSED

    public static final String TIMEOUT_ELAPSED

  Message key for a standard UIMA exception message: "This AnalysisEngine is serving too many simultaneous requests. The timeout period of {0}ms has elapsed."

  See Also:
    Constant Field Values

### UNKNOWN_ID_IN_SEQUENCE

    public static final String UNKNOWN_ID_IN_SEQUENCE

  Message key for a standard UIMA exception message: "The ASB encountered an unknown Analysis Engine ID "{0}" in the execution sequence."

  See Also:
    Constant Field Values

### UNSUPPORTED_STEP_TYPE

    public static final String UNSUPPORTED_STEP_TYPE

  Message key for a standard UIMA exception message: "The FlowController returned a Step object of class {0}, which is not supported by this framework implementation."

  See Also:
    Constant Field Values

### ILLEGAL_DROP_CAS

    public static final String ILLEGAL_DROP_CAS

  Message key for a standard UIMA exception message: "The FlowController attempted to drop a CAS that was passed as input to the Aggregate AnalysisEngine containing that FlowController. The only CASes that may be dropped are those that are created within the same Aggregate AnalysisEngine as the FlowController."

  See Also:
    Constant Field Values

### INCORRECT_CAS_INTERFACE

    public static final String INCORRECT_CAS_INTERFACE

  Message key for a standard UIMA exception message: "Expected CAS interface {0}, but received interface {1}."

  See Also:
    Constant Field Values

### REMOVE_AE_FROM_FLOW_NOT_SUPPORTED

    public static final String REMOVE_AE_FROM_FLOW_NOT_SUPPORTED

  Message key for a standard UIMA exception message: "The FlowController class {0} does not support the removeAnalysisEngines method. Analysis Engines cannot be dynamically removed from the flow."

  See Also:
    Constant Field Values

### FLOW_CANNOT_CONTINUE_AFTER_REMOVE

    public static final String FLOW_CANNOT_CONTINUE_AFTER_REMOVE

  Message key for a standard UIMA exception message: "The Analysis Engine(s) {0} have been removed from the flow, and the FlowController has determined the Aggregate Analysis Engine's processing can no longer continue."

  See Also:
    Constant Field Values

Constructor Detail

### AnalysisEngineProcessException

    public AnalysisEngineProcessException()

  Creates a new exception with a null message.

### AnalysisEngineProcessException

    public AnalysisEngineProcessException(Throwable aCause)

  Creates a new exception with the specified cause and a null message.

  Parameters:
    `aCause` - the original exception that caused this exception to be thrown, if any

### AnalysisEngineProcessException

    public AnalysisEngineProcessException(String aResourceBundleName,
                                          String aMessageKey,
                                          Object[] aArguments)

  Creates a new exception with a the specified message.

  Parameters:
    `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
    `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
    `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

### AnalysisEngineProcessException

    public AnalysisEngineProcessException(String aResourceBundleName,
                                          String aMessageKey,
                                          Object[] aArguments,
                                          Throwable aCause)

  Creates a new exception with the specified message and cause.

  Parameters:
    `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
    `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
    `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
    `aCause` - the original exception that caused this exception to be thrown, if any

### AnalysisEngineProcessException

    public AnalysisEngineProcessException(String aMessageKey,
                                          Object[] aArguments)

  Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.

  Parameters:
    `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
    `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

### AnalysisEngineProcessException

    public AnalysisEngineProcessException(String aMessageKey,
                                          Object[] aArguments,
                                          Throwable aCause)

  Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.

  Parameters:
    `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
    `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
    `aCause` - the original exception that caused this exception to be thrown, if any

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.